
Foreman - Bug #13705

facts with parents are not visible via search

02/15/2016 06:33 AM - Ohad Levy

Status: New   

Priority: Normal   

Assignee:    

Category: Facts   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When viewing facts from subscription manager, which have parent child relationship, for example: dmi::<something>

when I initially click on the DMI, dmi does not get reflected as a parent in search.

I was expecting that the search filter updates as i select parent child facts similar to how other plugins(chef) and core does it.

( a simple search of  name ~ dmi::* can provide all possible values as well.)

Related issues:

Related to Foreman - Bug #14313: expanding a fact does not maintain search ma... Closed 03/22/2016

History

#1 - 02/21/2016 10:49 AM - Eric Helms

- Category set to Hosts

- translation missing: en.field_release set to 86

#2 - 03/23/2016 04:16 PM - Eric Helms

- translation missing: en.field_release changed from 86 to 143

#3 - 04/17/2016 05:25 AM - Ohad Levy

- Related to Bug #14313: expanding a fact does not maintain search making it impossible to find values added

#4 - 05/11/2016 05:22 AM - Marek Hulán

This is a limitation of ancestry, it does not define proper relation on parent objects so scoped search can't search based on that. Suggested searching

with name ~ parent::* would probably work but it might have performance implications. I'm not sure it's that useful after #14313 is merged. Also if

you're still interested, I suggest moving this to Foreman tracker as this is not Katello specific.

#5 - 07/08/2016 11:28 AM - Justin Sherrill

- Project changed from Katello to Foreman

- Category deleted (Hosts)

Moving to foreman based on marek's comment which i agree with.  Will leave it up to ohad to close or leave open.

#6 - 07/11/2016 03:04 AM - Dominic Cleal

- Category set to Facts

- translation missing: en.field_release deleted (143)
